<?php
// Habilitar la visualización de errores
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Habilitar CORS
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: GET, OPTIONS");
header("Access-Control-Allow-Headers: Content-Type, Authorization");

// Manejar solicitudes OPTIONS (para preflight requests de CORS)
if ($_SERVER['REQUEST_METHOD'] === 'OPTIONS') {
    http_response_code(200);
    exit;
}

// Función para registrar errores en un archivo de log
function log_error($message) {
    file_put_contents('error_log.txt', date('Y-m-d H:i:s') . " - " . $message . "\n", FILE_APPEND);
}

// Incluir el archivo de configuración
require_once('../config.php');

// Crear conexión
$conn = new mysqli(DB_HOSTNAME, DB_USERNAME, DB_PASSWORD, DB_DATABASE, DB_PORT);

// Verificar conexión
if ($conn->connect_error) {
    log_error("La conexión ha fallado: " . $conn->connect_error);
    die(json_encode(["success" => false, "message" => "La conexión ha fallado: " . $conn->connect_error]));
}

// Manejar solicitud GET para obtener todos los clientes
if ($_SERVER['REQUEST_METHOD'] === 'GET') {
    $sql = "
        SELECT c.*, a.address_id, a.address_1, a.address_2, a.city, a.postcode, a.country_id, a.zone_id, z.name as zone_name, z.code as zone_code
        FROM ocow_customer c
        LEFT JOIN ocow_address a ON c.address_id = a.address_id
        LEFT JOIN ocow_zone z ON a.zone_id = z.zone_id
    ";
    $result = $conn->query($sql);

    if ($result->num_rows > 0) {
        $customers = [];
        while($row = $result->fetch_assoc()) {
            $customers[] = $row;
        }
        echo json_encode(["success" => true, "customers" => $customers]);
    } else {
        echo json_encode(["success" => false, "message" => "No se encontraron clientes."]);
    }
}

// Cerrar conexión
$conn->close();
?>
